# -*- coding: UTF-8 -*-

import wx

from outwiker.gui.baseaction import BaseAction
from outwiker.core.commands import MessageBox


class HelloAction (BaseAction):
    """
    Hello world
    """
    stringId = u"MyFirstPlugin_Hello"

    def __init__ (self, application):
        self._application = application


    @property
    def title (self):
        return u"Hello..."


    @property
    def description (self):
        return u"Hello world"


    def run (self, params):
        MessageBox (u"Hello world",
                    u"Hello",
                    wx.OK)
